// Code generated by mockery v2.20.0. DO NOT EDIT.

package mockclients

import (
	context "context"

	mock "github.com/stretchr/testify/mock"

	types "gitlab.com/infor-cloud/martian-cloud/tharsis/tharsis-sdk-go/pkg/types"
)

// RunnerAgent is an autogenerated mock type for the RunnerAgent type
type RunnerAgent struct {
	mock.Mock
}

// AssignServiceAccountToRunnerAgent provides a mock function with given fields: ctx, input
func (_m *RunnerAgent) AssignServiceAccountToRunnerAgent(ctx context.Context, input *types.AssignServiceAccountToRunnerInput) error {
	ret := _m.Called(ctx, input)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *types.AssignServiceAccountToRunnerInput) error); ok {
		r0 = rf(ctx, input)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// CreateRunnerAgent provides a mock function with given fields: ctx, input
func (_m *RunnerAgent) CreateRunnerAgent(ctx context.Context, input *types.CreateRunnerInput) (*types.RunnerAgent, error) {
	ret := _m.Called(ctx, input)

	var r0 *types.RunnerAgent
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *types.CreateRunnerInput) (*types.RunnerAgent, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *types.CreateRunnerInput) *types.RunnerAgent); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*types.RunnerAgent)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *types.CreateRunnerInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// DeleteRunnerAgent provides a mock function with given fields: ctx, input
func (_m *RunnerAgent) DeleteRunnerAgent(ctx context.Context, input *types.DeleteRunnerInput) error {
	ret := _m.Called(ctx, input)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *types.DeleteRunnerInput) error); ok {
		r0 = rf(ctx, input)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// GetRunnerAgent provides a mock function with given fields: ctx, input
func (_m *RunnerAgent) GetRunnerAgent(ctx context.Context, input *types.GetRunnerInput) (*types.RunnerAgent, error) {
	ret := _m.Called(ctx, input)

	var r0 *types.RunnerAgent
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *types.GetRunnerInput) (*types.RunnerAgent, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *types.GetRunnerInput) *types.RunnerAgent); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*types.RunnerAgent)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *types.GetRunnerInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// UnassignServiceAccountFromRunnerAgent provides a mock function with given fields: ctx, input
func (_m *RunnerAgent) UnassignServiceAccountFromRunnerAgent(ctx context.Context, input *types.AssignServiceAccountToRunnerInput) error {
	ret := _m.Called(ctx, input)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *types.AssignServiceAccountToRunnerInput) error); ok {
		r0 = rf(ctx, input)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// UpdateRunnerAgent provides a mock function with given fields: ctx, input
func (_m *RunnerAgent) UpdateRunnerAgent(ctx context.Context, input *types.UpdateRunnerInput) (*types.RunnerAgent, error) {
	ret := _m.Called(ctx, input)

	var r0 *types.RunnerAgent
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *types.UpdateRunnerInput) (*types.RunnerAgent, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *types.UpdateRunnerInput) *types.RunnerAgent); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*types.RunnerAgent)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *types.UpdateRunnerInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

type mockConstructorTestingTNewRunnerAgent interface {
	mock.TestingT
	Cleanup(func())
}

// NewRunnerAgent creates a new instance of RunnerAgent. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewRunnerAgent(t mockConstructorTestingTNewRunnerAgent) *RunnerAgent {
	mock := &RunnerAgent{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
